//*****************************************
// Graphic OLED & RTC(RX8900) Test Program ATMega328
// CPU Clock:External 8MHz
//   iq[Yf[^@WȂŁAOUWlgɂj
//
//
//@OLED 128x64 Control IC: SSD1306
//    H@nkdc\ihhbj
//
//@RTC RX8900(EPSON)
//
// File Name:disp_clock_data_h.h
//
//  PC5(SCL): TWI-SCL
//  PC4(SDA): TWI-SDA
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2023/05/14 New  for mega328_iic_oled_rtc Taishi (TAB4)
//*****************************************

// ----- ɃO[o̎vf[^iabcj -----
// ----- ɏB܂ł               -----
extern	unsigned char	gYear;
extern	unsigned char	gMon;
extern	unsigned char	gDay;
extern	unsigned char	gHou;
extern	unsigned char	gMin;
extern	unsigned char	gSec;

extern	void	inc_tokei_data_kari();
// --------------------------------------------------

enum DISP_CLOCK_ITEM {		// v\
		D_YEAR = 0,			// N\
		D_MON,				// \
		D_DAY,				// \
		D_HOUR,				// \
		D_MIN,				// \
		D_SEC,				// b\
		D_TEMPE,			// x\

		D_DEBUG,			// fobOpf[^\

		D_END
	};


extern	void	set_hex_2(unsigned char *bf, unsigned char uc);
extern	void	disp_clock_item(unsigned char item_num, unsigned char disp);
extern	void	disp_clock_mode_title(void);
extern	void	disp_clock_const(void);
extern	void	disp_clock_data(unsigned char init);

extern	unsigned char	gDebdata;
