//*****************************************
// Graphic OLED & RTC(RX8900) Test Program ATMega328
// CPU Clock:External 8MHz
//   iq[Yf[^@WȂŁAOUWlgɂj
//
//
//@OLED 128x64 Control IC: SSD1306
//    H@nkdc\ihhbj
//
//@RTC RX8900(EPSON)
//
// File Name:eep_dat.c
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2024/10/23 New TAB4   Taishi
//
//*****************************************
#include	<avr/interrupt.h>
#include	<avr/eeprom.h>

#include	"mega328_iic_oled_rtc_h.h"
#include	"eep_dat_h.h"

#define		DEFAULT_RUN_MODE		RUN_IR_NEC

uint8_t	eep_run_mode 	EEMEM = DEFAULT_RUN_MODE;			// Default Run Mode
static	unsigned char	eep_bfs[10];

//*****************************************
//  ddoqnl qtmQlncd ǂݍ
//*****************************************
unsigned char	read_eep_run_mode(void)
{
	unsigned short	r = 0;

	eeprom_busy_wait();
	eep_bfs[0] = eeprom_read_byte(&eep_run_mode);		// Ǐo
	if(eep_bfs[0] < RUN_END){
		r = eep_bfs[0];
	}else{
		write_eep_run_mode(DEFAULT_RUN_MODE);
		r = DEFAULT_RUN_MODE;
	}

	return(r);
}

//*****************************************
//  ddoqnl qtmQlncd 
//*****************************************
void	write_eep_run_mode(unsigned char uc)
{
	eep_bfs[0] = uc;
	eeprom_busy_wait();
	eeprom_write_byte(&eep_run_mode, eep_bfs[0]);		// 
	eeprom_busy_wait();
}
