//*****************************************
// Graphic OLED & RTC(RX8900) Test Program ATMega328
// CPU Clock:External 8MHz
//   iq[Yf[^@WȂŁAOUWlgɂj
//
// File Name:glcd_7565_h.h
//  wb_[t@C

// kbc͂PQWSWhbgOtBbNW[gp
//    AQM1248A-RN
//
//
// ȉkbcɕKvȐMꗗ
//
//  PB2: LCD-CS*
//  PB0: LCD-RS
//  PB5: LCD-SCLK
//  PB3: LCD-SDA
//  PB1: LCD-RST*
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2017/05/30  New(TAB4)  Taishi
//  2017/06/26  Modify ohb̃vOC by Taishi
//  2024/10/08  Modify  for mega328_iic_oled_rtc Taishi
//*****************************************

// ******** Global Data ********
#define		NofDispMoji			42
extern	unsigned char	disp_moji[NofDispMoji+1];						// kbc\


// ******* Global Function ******
extern	void			disp_lcd_G_6x8(unsigned char pos_x, unsigned char pos_y, unsigned char *ucp);
extern	void			disp_lcd_G_6x8_reverse(unsigned char pos_x, unsigned char pos_y, unsigned char *ucp);
extern	void			disp_clear_lcd_G(void);
extern	void			disp_clear_8line_lcd_G(unsigned char y);
extern	void			init_lcd_G(void);
extern	void			set_offse_lcd_G(unsigned char offset);
extern	void			disp_one_char_lcd_G(unsigned char pos_x, unsigned char pos_y, unsigned char uc);
extern	void			disp_one_char_lcd_G_reverse(unsigned char pos_x, unsigned char pos_y, unsigned char uc);
extern	void			disp_one_char_lcd_G_6x8(unsigned char pos_x, unsigned char pos_y, unsigned char uc);
extern	void			disp_one_char_lcd_G_6x8_reverse(unsigned char pos_x, unsigned char pos_y, unsigned char uc);
extern	void			disp_one_char_lcd_G_24x24(short pos_x, short pos_y, unsigned char *puc);
extern	void			disp_clear_lcd_G_24x24(short pos_sx, short pos_ex, short pos_y, unsigned char rev);
extern	void			disp_tate_line_lcd_G(unsigned char pos_x, unsigned char str_y, unsigned char end_y);
extern	void			disp_yoko_line_lcd_G(unsigned char str_x, unsigned char end_x, unsigned char pos_y);
extern	void			disp_lcd_G_18x24(unsigned char pos_x, unsigned char pos_y, unsigned char *ucp);
extern	void			disp_one_char_lcd_G_18x24(unsigned char pos_x, unsigned char pos_y, unsigned char uc);
extern	void			disp_lcd_G_12x16(unsigned char pos_x, unsigned char pos_y, unsigned char *ucp);
extern	void			disp_one_char_lcd_G_12x16(unsigned char pos_x, unsigned char pos_y, unsigned char uc);
extern	void			disp_lcd_G_18x24_reverse(unsigned char pos_x, unsigned char pos_y, unsigned char *ucp);
extern	void			disp_one_char_lcd_G_18x24_reverse(unsigned char pos_x, unsigned char pos_y, unsigned char uc);
extern	void			disp_lcd_G_12x16_reverse(unsigned char pos_x, unsigned char pos_y, unsigned char *ucp);
extern	void			disp_one_char_lcd_G_12x16_reverse(unsigned char pos_x, unsigned char pos_y, unsigned char uc);
extern	void			disp_clear_16line_lcd_G(unsigned char pos_y);
extern	void			disp_clear_24line_lcd_G(unsigned char pos_y);


