//*****************************************
// Graphic OLED & RTC(RX8900) Test Program ATMega328
// CPU Clock:External 8MHz
//   iq[Yf[^@WȂŁAOUWlgɂj
//
//
//@OLED 128x64 Control IC: SSD1306
//    H@nkdc\ihhbj
//
//@RTC RX8900(EPSON)
//
// File Name:mega328_iic_oled_rtc_h.h
//
//  PC5(SCL): TWI-SCL
//  PC4(SDA): TWI-SDA
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2024/10/19 New  for mega328_iic_oled_rtc Taishi
//
//*****************************************

#define		_XTAL_FREQ	8000000L		//	giWlgj

#define		Pr_version					 ("Ver 1.00")

enum RUN_MODE_ITEM {		// 샂[h
		RUN_CLOCK = 0,		// Clock Mode
		RUN_IR_NIXIE,		// IR NIXIE Mode
		RUN_IR_NEC,			// IR NEC Mode
		RUN_GPS,			// GPS Mode

		RUN_END
	};


